Video for Linux Two API Specification: Revision 0.24
Prev |  | Next

# ioctl VIDIOC_G_INPUT, VIDIOC_S_INPUT

## Name

VIDIOC_G_INPUT, VIDIOC_S_INPUT -- Query or select the current video input

## Synopsis

``int ioctl`(int fd, int request, int *argp);`

## Arguments

`fd`

  File descriptor returned by `open()`.

`request`

  VIDIOC_G_INPUT, VIDIOC_S_INPUT

`argp`

## Description

To query the current video input applications call the `VIDIOC_G_INPUT` ioctl with a pointer to an integer where the driver stores the number of the input, as in the struct v4l2_input `index` field. This ioctl will fail only when there are no video inputs, returning EINVAL.

To select a video input applications store the number of the desired input in an integer and call the `VIDIOC_S_INPUT` ioctl with a pointer to this integer. Side effects are possible. For example inputs may support different video standards, so the driver may implicitly switch the current standard. It is good practice to select an input before querying or negotiating any other parameters.

Information about video inputs is available using the `VIDIOC_ENUMINPUT` ioctl.

## Return Value

On success 0 is returned, on error -1 and the `errno` variable is set appropriately:

EINVAL

  The number of the video input is out of bounds, or there are no video inputs at all and this ioctl is not supported.

EBUSY

  I/O is in progress, the input cannot be switched.

Prev | Home | Next
ioctl VIDIOC_G_FREQUENCY, VIDIOC_S_FREQUENCY | Up | ioctl VIDIOC_G_JPEGCOMP, VIDIOC_S_JPEGCOMP